﻿@import url('https://fonts.googleapis.com/css2?family=Old+Standard+TT:ital,wght@0,400;0,700;1,400&display=swap');

body {
    font-family: "Old Standard TT", serif;
    margin: 0 auto;
    padding: 0;
    width: 85%;
    max-width: 1500px;
    color: white;
    text-align: justify;
    line-height: 1.6;
    background-color: black;
}

.fixed-background {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: url('background.jpeg') no-repeat center;
    background-size: cover;
    z-index: -1;
}

.scrollable-content {
    position: relative;
    z-index: 1;
}

header {
    font-family: "Old Standard TT", serif;
    text-align: center;
    color: white;
    padding: 20px 10px;
}

section {
    font-size: 1.2em;
}

main {
    padding: 20px;
    background-color: rgba(31, 0, 2, 0.95);
    box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.5);
    font-size: 1em;
}

arcticle {
    font-size: 1em;
}

h2 {
    text-align: left;
    border-bottom: outset white;
    font-size: 1.8em;
}

#MainMenu {
    text-shadow: 3px 3px 3px black;
    font-size: 4em;
}

.hoverpic:hover {
    transition: 0.55s;
    transform: scale(1.1);
    overflow: hidden;
}

nav ul {
    display: flex;
    justify-content: center;
    list-style: none;
    padding: 0;
}

    nav ul li {
        margin: 0 15px;
    }

        nav ul li a {
            text-decoration: none;
            font-size: 1.2em;
            color: white;
            transition: color 0.3s ease;
        }

            nav ul li a:hover {
                color: #f30d0c;
            }

#navmenu, #navmenu li {
    margin: 0;
    padding: 0;
}

#navmenu {
    text-align: center;
    background: #1f0002;
}

    #navmenu li {
        display: inline-block;
    }

    #navmenu a {
        display: block;
        padding: 3px 15px;
        color: #fff;
        text-decoration: none;
        font-size: 2em;
    }

        #navmenu a:hover {
            background: #2d0003;
            color: red;
        }

.social-card-container {
    display: flex;
    gap: 20px;
    margin-top: 50px;
    justify-content: center;
    transition: color 0.3s ease;
    text-decoration: none;
}

    .social-card-container a {
        text-decoration: none;
    }

.social-card {
    position: relative;
    width: 200px;
    padding: 20px;
    background-color: rgba(23, 0, 2);
    color: #fff;
    text-align: center;
    border-radius: 10px;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
    overflow: hidden;
    cursor: pointer;
    transition: transform 0.5s ease;
    z-index: 1;
}

.vk:hover::before {
    border: 2px solid #4c75a3;
}

.yt:hover::before {
    border: 2px solid red;
}

.tg:hover::before {
    border: 2px solid #57aadc;
}

.vk:hover {
    box-shadow: 5px 4px 5px #4c75a3;
}

.yt:hover {
    box-shadow: 5px 4px 5px red;
}

.tg:hover {
    box-shadow: 5px 4px 5px #57aadc;
}

.social-card:hover {
    transform: scale(1.05);
    font-weight: bolder;
    font-size: 105%;
}

    .social-card:hover::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        border-radius: 10px;
        box-sizing: border-box;
        pointer-events: none;
        z-index: -1;
    }

.table {
    display: flex;
    flex-direction: column;
    border: 3px solid white;
}

.row {
    display: flex;
    flex-wrap: wrap;
    border-bottom: 3px solid white;
    padding: 10px 0;
}

.game {
    flex: 0 0 30%;
    max-width: 30%;
    padding: 10px;
    text-align: center;
    border-right: 1px solid white;
}

.description {
    flex: 1;
    padding: 10px;
}

.game img {
    width: 45%;
    height: auto;
    margin-bottom: 10px;
}

.game img:hover {
    cursor: pointer;
}

.game .title {
    font-weight: bold;
    margin-bottom: 5px;
}

.game .title:hover {
    cursor: pointer;
    transition: 0.55s;
    transform: scale(1.1);
    overflow: hidden;
    color: red;
}

.game .date,
.game .platforms {
    font-size: 0.9em;
    margin-bottom: 5px;
}


@media (max-width: 1200px) {
    body {
        width: 95%;
        max-width: 1200px;
    }

    header {
        padding: 20px 10px;
    }

    #MainMenu {
        font-size: 3.6em;
    }

    nav ul li {
        margin: 0 10px;
    }

        nav ul li a {
            font-size: 1.1em;
        }

    main {
        padding: 20px;
        font-size: 0.95em;
    }

    section {
        font-size: 1.1em;
    }

    article {
        padding: 10px;
    }

    .card {
        width: calc(50% - 15px);
        margin-bottom: 20px;
    }
}

@media (max-width: 1000px) {
    nav ul {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 0;
        margin: 0;
    }

        nav ul li {
            margin: 10px 0;
            width: 100%;
            text-align: center;
        }

            nav ul li a {
                font-size: 1.2em;
                text-decoration: none;
                color: white;
                padding: 10px;
                display: block;
            }

                nav ul li a:hover {
                    background-color: rgba(255, 255, 255, 0.1);
                    border-radius: 5px;
                }
}

@media (max-width: 800px) {
    body {
        width: 90%;
    }

    #MainMenu {
        font-size: 3em;
    }

    main {
        font-size: 0.9em;
        padding: 15px;
    }

    section {
        font-size: 1em;
    }

    nav ul li {
        margin: 0 10px;
    }

        nav ul li a {
            font-size: 1em;
        }

    #navmenu li {
        display: block;
    }

    #navmenu a {
        display: fixed;
        padding: 3px 15px;
        color: #fff;
        text-decoration: none;
        font-size: 1.5em;
    }

    .card-content {
        opacity: 1;
    }

    .social-card-container {
        margin-top: 20px;
        margin: auto 0;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
}

@media (max-width: 450px) {
    .card-content p {
        visibility: hidden;
        font-size: 1px;
    }

    h2 {
        font-size: 1.1em;
        padding-bottom: 8px;
    }

    .row {
        flex-direction: column;
    }

    .game {
        flex: 1;
        max-width: 100%;
    }

    .description {
        flex: 1;
    }
}

.old-standard-tt-regular {
    font-family: "Old Standard TT", serif;
    font-weight: 400;
    font-style: normal;
}

.old-standard-tt-bold {
    font-family: "Old Standard TT", serif;
    font-weight: 700;
    font-style: normal;
}

.old-standard-tt-regular-italic {
    font-family: "Old Standard TT", serif;
    font-weight: 400;
    font-style: italic;
}
